PETSc version 3.15.5
Fix/Edit manual page

# ISGetBlockSize

Returns the number of elements in a block.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetBlockSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

| is | - the index set

### Output Parameter

| size | - the number of elements in a block

### Notes

This is much like the block size for Vecs. It indicates that one can think of the indices as being in a collection of equal size blocks. For ISBlock() these collections of blocks are all contiquous within a block but this is not the case for other IS. ISBlockGetIndices() only works for ISBlock IS, not others.

### See Also

ISBlockGetSize(), ISGetSize(), ISCreateBlock(), ISSetBlockSize()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Examples

src/vec/is/is/tutorials/ex3.c.html
src/vec/is/is/tutorials/ex3f90.F90.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages